Name:           httpdtap
Version:        0.1
Release:        1%{?dist}
Summary:        Tool for querying httpd using SystemTap scripts
License:        ASL 2.0
URL:            https://github.com/hanzz/httpdtap
Source0:        https://github.com/hanzz/httpdtap/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       systemtap-client
# SystemTap requires debuginfo information
Requires:       kernel-debuginfo
Requires:       httpd-debuginfo
Requires:       apr-util-debuginfo
Requires:       apr-debuginfo


%description
HttpdTap is collection of useful SystemTap scripts to query running httpd
server to get information like files accessed during a request, time needed
to dispatch a request, the list of requests slower than N milliseconds or
the list of requests sent from particular IP address. Thanks to SystemTap
the performance penalty is very low and therefore the HttpdTap can be used
even on production systems.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.md LICENSE
%{_datadir}/httpdtap
%{_bindir}/httpdtap
%{python_sitelib}/*

%changelog
* Wed Aug 28 2013 Jan Kaluza <jkaluza@redhat.com> - 0.1-1
- Initial Fedora packaging
